# Interface ArrayAccessTree

All Superinterfaces:
  `ExpressionTree, Tree`

public interface ArrayAccessTree extends ExpressionTree
A tree node for an array access expression. For example:

      expression [ index ]

See Java Language Specification:
  15.10.3 Array Access Expressions
Since:
  1.6

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`ExpressionTree`
`getExpression()`
Returns the expression for the array being accessed.
`ExpressionTree`
`getIndex()`
Returns the expression for the index.

### Methods declared in interface Tree

`accept, getKind`

## Method Details

### getExpression

ExpressionTree getExpression()
Returns the expression for the array being accessed.

Returns:
  the array

### getIndex

ExpressionTree getIndex()
Returns the expression for the index.

Returns:
  the index